Name: whois
Version: 4.6.20
Release: alt1

Summary: Enhanced WHOIS client
License: GPL
Group: Networking/Other
Url: http://www.linux.it/~md/software

Summary(ru_RU.KOI8-R):   WHOIS

%define rhver 1.0.10
Source0: %url/%{name}_%version.tar.bz2
Source1: whois-%rhver.tar.bz2

Patch1: %name-4.6.11-alt-makefile.patch
Patch2: %name-4.6.19-gentoo-alt-fixes.patch
Patch3: %name-4.6.19-alt-format.patch

Provides: fwhois = 1.00
Obsoletes: fwhois

%description
This is a new whois (RFC 954) client rewritten from scratch.
It is derived from and compatible with the usual BSD and RIPE whois(1)
programs.
It is intelligent and can automatically select the appropriate whois
server for most queries.

%description -l ru_RU.KOI8-R
   ""  (RFC 954),   whois(1)
 BSD  RIPE.       
  whois     .

%prep
%setup -q -a1
%patch1 -p1
%patch2 -p1
%patch3 -p1
find -type f -name \*.orig -print -delete

%build
pushd whois-%rhver
	%configure
	%make_build
popd

%make_build OPTS="$RPM_OPT_FLAGS"
bzip2 -9fk debian/changelog

%install
%__install -pD -m755 whois-%rhver/whois $RPM_BUILD_ROOT%_bindir/fwhois
%__install -pD -m644 whois-%rhver/whois.1 $RPM_BUILD_ROOT%_man1dir/fwhois.1
%make_install install BASEDIR=$RPM_BUILD_ROOT prefix=%prefix

%find_lang %name

%pre
UA=/usr/sbin/update-alternatives
[ -x "$UA" -a -L /usr/bin/whois ] && "$UA" --remove whois /usr/bin/fwhois ||:

%files -f %name.lang
%doc README debian/changelog.bz2 debian/copyright
%_bindir/*
%_mandir/man?/*

%changelog
* Wed Aug 25 2004 Dmitry V. Levin <ldv@altlinux.org> 4.6.20-alt1
- Updated to 4.6.20.

* Tue Aug 10 2004 Dmitry V. Levin <ldv@altlinux.org> 4.6.19-alt1
- Updated to 4.6.19.
- Rediffed gentoo-alt-fixes patch.

* Sun Feb 22 2004 Dmitry V. Levin <ldv@altlinux.org> 4.6.11-alt1
- Updated to 4.6.11:
  * Fix parsing of IPv4 addresses on 64 bit architectures, spotted by
    Paul Slootman. (Closes: #229809)
  * Add support for ARIN whois referrals. (Closes: #229810, #231694)
  * Cleaned up some code and added support for ARIN referrals, based
    on a patch by Kees Cook.
  * Fixed a disclaimer. (Closes: #226949)
  * Updated Greek .po file from Velonis Petros.
  * Removed .ac.cn SLD. (Closes: #219883)
  * Added support for 6to4 IPv6 addresses. (Closes: #219028)
  * Updated 145/8 after ERX transfer. (Closes: #220400)
  * Added IDN support.
- Updated gentoo-alt-fixes patch.
- alt-fixes patch merged upstream.

* Wed Oct 29 2003 Dmitry V. Levin <ldv@altlinux.org> 4.6.8-alt1
- Updated to 4.6.8:
  * Update the version number. (Closes: #211550)
  * Updated .cr, .fi, .ly and .md TLDs.
  * Added new ASN block for APNIC.

* Mon Sep 22 2003 Dmitry V. Levin <ldv@altlinux.org> 4.6.7-alt1
- Updated to 4.6.7:
  * Updated .hk, .sg TLDs.
  * Updated Go Daddy disclaimer strings.
  * Removed special processing for corenic queries, it's not needed anymore
    and breaks some queries. (Closes: #208854)
  * Always print the whois.crsnic.net output, or queries for host records
    will have no output. Also, the Status line is important information
    which should not be suppressed.
  * Add a note to the man page to explain that this code sucks, has buffer
    overflows and needs to be rewritten.
- Applied patch from Gentoo which fixes some of buffer overflows mentioned above.

* Mon Jun 16 2003 Dmitry V. Levin <ldv@altlinux.org> 4.6.6-alt1
- Updated to 4.6.6:
  * Updated polish translation, from Jakub Bogusz of PLD.
  * Added french translation, from William Steve Applegate. (Closes: #197212)
  * Added .dj TLD.
  * Fixed netsol disclaimer strings. (Closes: #195898)
  * Updated PIR server parser.

* Thu May 29 2003 Dmitry V. Levin <ldv@altlinux.org> 4.6.5-alt1
- Updated to 4.6.5:
  * Added may new ASN blocks from MILNET, LACNIC and JP-NIC.
  * Fixed a bug which broke ASN queries to whois.nic.mil.
  * Added .arpa TLD.
  * Update .aero, .int, .la TLD. (Closes: #187007)
  * Updated Polish translation, courtesy of Jakub Bogusz.
  * Removed CORE NIC handles until the query format will be documented.
  * Added support for nic.cc referrals (patch from Kevin Stone).

* Sun Mar 23 2003 Dmitry V. Levin <ldv@altlinux.org> 4.6.3-alt1
- Updated to 4.6.3:
  * Added support for .org referrals. (Closes: #182192, #179539)
  * Added new RIPE IPv6 block.
  * Added again old changelog entries to make Adrian Bunk stop
    complaining. (Closes: #179316).
  * Do not show anymore the output of CRSNIC and PIR servers
    unless the --verbose flag is used.

* Mon Mar 03 2003 Dmitry V. Levin <ldv@altlinux.org> 4.6.2-alt1
- Updated to 4.6.2:
  * Added APNIC block 2001:e00::/23.
  * Added .pt TLD.
  * Updated .na and .org TLDs.

* Fri Dec 20 2002 Dmitry V. Levin <ldv@altlinux.org> 4.6.1-alt1
- Rewritten specfile (aka ALT adaptions).
- Merged (and obsolete) fwhois package.
- Minor makefile fixes.
- Minor whois fixes (code remains dirty).

* Fri Feb 23 2001 Oren Tirosh <oren@hishome.net>
- Initial spec based on skelgnu.spec
